package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TBusiInspectTaskItemMapper;
import com.goldenwater.slaj.hazard.domain.TBusiInspectTaskItem;
import com.goldenwater.slaj.hazard.service.ITBusiInspectTaskItemService;

/**
 * 巡查任务项 服务层实现
 */
@Service
public class TBusiInspectTaskItemServiceImpl implements ITBusiInspectTaskItemService {

    @Autowired
    private TBusiInspectTaskItemMapper tBusiInspectTaskItemMapper;

    @Override
    public TBusiInspectTaskItem selectTBusiInspectTaskItemByGuid(String guid) {
        return tBusiInspectTaskItemMapper.selectTBusiInspectTaskItemByGuid(guid);
    }

    @Override
    public List<TBusiInspectTaskItem> selectTBusiInspectTaskItemList(TBusiInspectTaskItem tBusiInspectTaskItem) {
        return tBusiInspectTaskItemMapper.selectTBusiInspectTaskItemList(tBusiInspectTaskItem);
    }

    @Override
    public int insertTBusiInspectTaskItem(TBusiInspectTaskItem tBusiInspectTaskItem) {
        return tBusiInspectTaskItemMapper.insertTBusiInspectTaskItem(tBusiInspectTaskItem);
    }

    @Override
    public int updateTBusiInspectTaskItem(TBusiInspectTaskItem tBusiInspectTaskItem) {
        return tBusiInspectTaskItemMapper.updateTBusiInspectTaskItem(tBusiInspectTaskItem);
    }

    @Override
    public int deleteTBusiInspectTaskItemByGuid(String guid) {
        return tBusiInspectTaskItemMapper.deleteTBusiInspectTaskItemByGuid(guid);
    }

    @Override
    public int deleteTBusiInspectTaskItemByGuids(String[] guids) {
        return tBusiInspectTaskItemMapper.deleteTBusiInspectTaskItemByGuids(guids);
    }
}
